Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number of the results to be returned, 1-based.

Required range: 1 <= x <= 100
limit
integer<int32>
default:10

A limit on the number of results to be returned, or number of results per page, between 1 and 100, defaults to 10.

Required range: 1 <= x <= 100
includeTotal
boolean
default:false

Return results inside an object that contains the total result count or not.

filter.wabaId
string

Required if you have more than 100 WABAs. WhatsApp Business Account ID.

Example:

"whatsapp-business-account-id"

filter.name
string

Name of the template.

Maximum string length: 512
Pattern: [a-z0-9]{1,512}
Example:

"sample_whatsapp_template"

filter.language
string

Language code of the template. See Supported Languages for all codes.

Example:

"en"

filter.status
string

Comma-separated template statuses to filter by. Supported values include PENDING, REJECTED, APPROVED, PAUSED, DISABLED, ARCHIVED, IN_APPEAL, and DELETED.

Example:

"APPROVED,ARCHIVED"

Response

200 - application/json

Successfully retrieved a paginated list of objects.

Represents a given page of WhatsApp templates.

offset
integer<int32>
required

The position of the item this page starts from, zero-based. e.g., the 11th item is at offset 10.

Required range: x >= 0
limit
integer<int32>
required

A limit on the number of items to be returned, between 1 and 100, defaults to 10.

Required range: x >= 1
length
integer<int32>
required

The actual number of items in the page.

Required range: x >= 0
total
integer<int32>

The total number of items. This field is returned only when the request parameter includeTotal is set to true.

Required range: x >= 0
items
object[]

An array containing WhatsApp template objects.